Subject: bug#26006: [Website] Integral update proposal

From: sirgazil <[email-masked]>
Date: Fri, 10 Mar 2017 11:46:52 -0500

Thank you all for your feedback :)

-------- Original Message --------
Subject: Re: bug#26006: [Website] Integral update proposal
Local Time: 7 de marzo de 2017 9:13 AM
UTC Time: 7 de marzo de 2017 14:13
From: [email-masked]
To: sirgazil <[email-masked]>
[email-masked], Alex Sassmannshausen <[email-masked]>

[...]

> I remember that Ludovic commented in #guix that he would like a better way to display talks in the website... [2] With the design in the mockup above, you just click on the "Talks" tag, and you have a nice preview and summary of all talks.

Yes! There’s also the question of how much work it’ll be to maintain
the talks part (like whether we need to manually make “posters” for each
video and so on.) The less work, the better.

At the same time, we should reach out to people who’d like to contribute
to Guix in a less-technical way. There’s a lot that could be done to
keep the web site lively, and it would be great to let more people take
care of that.

Hm, right. Managing static websites with current static site builders is pretty much a technical, and manual job.

> Infrastructure
> ==============
>
> Personally, I'd like to be able to access the website at "guixsd.org", and use a git repository for deployment of the static website.
>
> However, we are currently using the resources provided by Savannah for hosting, which means we have to use a CVS repository to deploy the website. As mentioned in bug #25227, using CVS could block the implementation of the packages pages as shown in the mockups above (and maybe filtering blog posts by tag) because CVS could choke on the thousands of pages that would be generated (if we keep using a static website).
>
> To find a solution to this issue, Ludovic sent an email to Savannah admins asking for the possibility of using a dynamic website instead. I don't remember if there was an answer.

There was none.

I don’t think we can get the level of support we’d like from the gnu.org
webmasters, who are already swamped. With Alex S. (Cc’d) and others at
FOSDEM, we discussed this issue and concluded that we should consider
moving the web site to infrastructure we control, where we could do
things in any way we like.

We won’t run a Libreboot-based physical machine for that because with
the current lack of IPMI support, we’d easily end up with downtimes
unacceptable for a web site. However, we could use some sort of
commercial hosting.

That sounds good :)

I’m not much of a Web person so you and other Web-savvy people should
consider themselves empowered to come up with a solution. :-) We have
some funding that we could probably use for that.

Thoughts?

Many :)

I'd like to say I will take care of this project, but I can't commit right now. However, life permitting, I intend to implement the proposed changes that can be implemented in the current static site, starting next week.